Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233846 (perl-XML-DOM-XPath) - Review Request: perl-XML-DOM-XPath - Perl extension to add XPath support to XML::DOM, using XML::XPath engine
Summary: Review Request: perl-XML-DOM-XPath - Perl extension to add XPath support to X...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-XML-DOM-XPath
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: perl-XML-XPathEngine
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-25 12:15 UTC by Alex Lancaster
Modified: 2009-09-16 21:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-30 02:15:32 UTC
panemade: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Alex Lancaster 2007-03-25 12:15:35 UTC
Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-XML-DOM-XPath.spec
SRPM URL: http://allele5.biol.berkeley.edu/~alex/fedora/perl-XML-DOM-XPath-0.13-1.src.rpm
Description: 
XML::DOM::XPath allows you to use XML::XPath methods to query a DOM. This
is often much easier than relying only on getElementsByTagName.

Note this depends on bug #233845 because perl-XML-XPathEngine is a BuildRequires for this bug.

Comment 1 Parag AN(पराग) 2007-03-29 07:22:41 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
276b4863d2886df313f849b329b9e090  XML-DOM-XPath-0.13.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/1...................................ok
t/pod.................................ok
t/pod_coverage........................ok
t/test_bugs...........................ok
t/test_non_ascii......................ok
t/test_xml_xpath_and_xml_dom_xpath....ok
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
276b4863d2886df313f849b329b9e090  XML-DOM-XPath-0.13.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/1...................................ok
t/pod.................................ok
t/pod_coverage........................ok
t/test_bugs...........................ok
t/test_non_ascii......................ok
t/test_xml_xpath_and_xml_dom_xpath....ok
t/test_non_ascii......................ok
t/test_xml_xpath_and_xml_dom_xpath....ok
t/xmlxpath_01basic....................ok
t/xmlxpath_02descendant...............ok
t/xmlxpath_03star.....................ok
t/xmlxpath_04pos......................ok
t/xmlxpath_05attrib...................ok
t/xmlxpath_06attrib_val...............ok
t/xmlxpath_07count....................ok
t/xmlxpath_08name.....................ok
t/xmlxpath_09a_string_length..........ok
t/xmlxpath_09string_length............ok
t/xmlxpath_10pipe.....................ok
t/xmlxpath_12axisdescendant...........ok
t/xmlxpath_13axisparent...............ok
t/xmlxpath_14axisancestor.............ok
t/xmlxpath_15axisfol_sib..............ok
t/xmlxpath_16axisprec_sib.............ok
t/xmlxpath_17axisfollowing............ok
t/xmlxpath_18axispreceding............ok
t/xmlxpath_19axisd_or_s...............ok
t/xmlxpath_20axisa_or_s...............ok
t/xmlxpath_21allnodes.................ok
t/xmlxpath_22name_select..............ok
t/xmlxpath_23func.....................ok
t/xmlxpath_24namespaces...............ok
t/xmlxpath_25scope....................ok
t/xmlxpath_26predicate................ok
t/xmlxpath_28ancestor2................ok
t/xmlxpath_29desc_with_predicate......ok
t/xmlxpath_30lang.....................ok
All tests successful.
Files=35, Tests=182, 10 wallclock secs ( 6.39 cusr +  0.85 csys =  7.24 CPU)
+ Provides: perl(XML::DOM::Attr) perl(XML::DOM::Comment)
perl(XML::DOM::Document) perl(XML::DOM::Element) perl(XML::DOM::Namespace)
perl(XML::DOM::Node) perl(XML::DOM::ProcessingInstruction) perl(XML::DOM::Text)
perl(XML::DOM::XPath)

APPROVED.

Comment 2 Alex Lancaster 2007-03-29 07:46:05 UTC
New Package CVS Request
=======================
Package Name: perl-XML-DOM-XPath
Short Description:  Perl extension to add XPath support to XML::DOM, using
XML::XPath engine
Owners: alexl@users.sourceforge.net
Branches: FC-5 FC-6
InitialCC: 

Comment 3 Alex Lancaster 2007-03-30 02:15:32 UTC
Builds fine in all branches.  Closing.

Comment 4 Matthew Booth 2009-09-08 10:20:14 UTC
Package Change Request
======================
Package Name: perl-XML-DOM-XPath
New Branches: EL-5
Owners: 

I would like to add perl-XML-DOM-XPath to EL-5 as it is a dependency of virt-v2v.

Comment 5 Jason Tibbitts 2009-09-11 20:30:11 UTC
The same issues apply here as in bug 233845.

Comment 6 Matthew Booth 2009-09-15 09:31:14 UTC
Package Change Request
======================
Package Name: perl-XML-DOM-XPath
New Branches: EL-5
Owners: mdbooth alexlan

Having been pointed to the procedure, I see alexlan isn't interested in EPEL but would like to be co-maintainer.

Comment 7 Jason Tibbitts 2009-09-16 21:19:50 UTC
CVS done.


Note You need to log in before you can comment on or make changes to this bug.